## com.sun.jersey.spi.uri.rules
Interface UriRule

    public interface UriRule

A URI rule that can accept a URI path.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`boolean` | `accept(java.lang.CharSequence path, java.lang.Object resource, UriRuleContext context)` Accept the rule.

Method Detail

### accept

    boolean accept(java.lang.CharSequence path,
                   java.lang.Object resource,
                   UriRuleContext context)

  Accept the rule.

  Parameters:
    `path` - the URI path
    `resource` - the current resource instance
    `context` - the rule context
  Returns:
    if true then the rule was accepted, if false then the rule was not accepted.

Copyright © 2017 Oracle Corporation. All Rights Reserved.